#!/bin/bash

K3_FULLPATH=`realpath $0`
K3WRK_DIR=`dirname ${K3_FULLPATH}`
echo "Working directory = ${K3WRK_DIR}"


rm -rf ${K3WRK_DIR}/installer-rootfs-1.7_x86-64-astra-mobile-x86_64
rm -f ${K3WRK_DIR}/installer-rootfs-1.7_x86-64-astra-mobile-x86_64.tar.gz
rm -f ${K3WRK_DIR}/installer-rootfs-1.7_x86-64-astra-mobile-x86_64.tar.gz.md5
rm -f ${K3WRK_DIR}/installer-rootfs-1.7_x86-64-astra-mobile-x86_64.tar.gz.gost


rm -rf ${K3WRK_DIR}/rootfs-1.7_x86-64-astra-mobile-x86_64
rm -f ${K3WRK_DIR}/rootfs-1.7_x86-64-astra-mobile-x86_64.tar.gz
rm -f ${K3WRK_DIR}/rootfs-1.7_x86-64-astra-mobile-x86_64.tar.gz.md5
rm -f ${K3WRK_DIR}/rootfs-1.7_x86-64-astra-mobile-x86_64.tar.gz.gost

rm -f ${K3WRK_DIR}/disk-astra-mobile*x86_64.qcow2 ${K3WRK_DIR}/disk-astra-mobile*x86_64.qcow2.md5 ${K3WRK_DIR}/disk-astra-mobile*x86_64.qcow2.gost

rm -f ${K3WRK_DIR}/astra-mobile-x86_64.img ${K3WRK_DIR}/usb*x86_64.img ${K3WRK_DIR}/usb*x86_64.img.md5 ${K3WRK_DIR}/usb*x86_64.img.gost

rm -f ${K3WRK_DIR}/build-1-7.log ${K3WRK_DIR}/build-i-1-7.log ${K3WRK_DIR}/buildimage-i-1-7.log ${K3WRK_DIR}/buildimage-1-7.log ${K3WRK_DIR}/buildimage-i-1-7.log


${K3WRK_DIR}/create-astra-mobile-rootfs  2>&1 | tee build-1-7.log

${K3WRK_DIR}/create-astra-mobile-rootfs -i  2>&1 | tee build-i-1-7.log

${K3WRK_DIR}/astra-mobile-install -i 2>&1 | tee buildimage-i-1-7.log

${K3WRK_DIR}/astra-mobile-install 2>&1 | tee buildimage-1-7.log
