#!/bin/bash

K3_FULLPATH=`realpath $0`
K3WRK_DIR=`dirname ${K3_FULLPATH}`
echo "Working directory = ${K3WRK_DIR}"


rm -rf ${K3WRK_DIR}/installer-rootfs-4.7_arm-astra-mobile-arm64
rm -f ${K3WRK_DIR}/installer-rootfs-4.7_arm-astra-mobile-arm64.tar.gz
rm -f ${K3WRK_DIR}/installer-rootfs-4.7_arm-astra-mobile-arm64.tar.gz.md5
rm -f ${K3WRK_DIR}/installer-rootfs-4.7_arm-astra-mobile-arm64.tar.gz.gost

#rootfs-4.7_arm-astra-mobile-arm64
rm -rf ${K3WRK_DIR}/rootfs-4.7_arm-astra-mobile-arm64
rm -f ${K3WRK_DIR}/rootfs-4.7_arm-astra-mobile-arm64.tar.gz
rm -f ${K3WRK_DIR}/rootfs-4.7_arm-astra-mobile-arm64.tar.gz.md5
rm -f ${K3WRK_DIR}/rootfs-4.7_arm-astra-mobile-arm64.tar.gz.gost

rm -rf ${K3WRK_DIR}/boot-arm64-part1
rm -f ${K3WRK_DIR}/boot-arm64-part1.tar.gz
rm -f ${K3WRK_DIR}/boot-arm64-part1.tar.gz.md5
rm -f ${K3WRK_DIR}/boot-arm64-part1.tar.gz.gost 
rm -f ${K3WRK_DIR}/flash.bin

rm -f ${K3WRK_DIR}/boot-part1-4.7_arm-astra-mobile-arm64.tar.gz

rm -f ${K3WRK_DIR}/disk-astra-mobile*arm64.qcow2 ${K3WRK_DIR}/disk-astra-mobile*arm64.qcow2.md5 ${K3WRK_DIR}/disk-astra-mobile*arm64.qcow2.gost

rm -f ${K3WRK_DIR}/astra-mobile-arm64.img ${K3WRK_DIR}/usb*arm64.img ${K3WRK_DIR}/usb*arm64.img.md5 ${K3WRK_DIR}/usb*arm64.img.gost

rm -f ${K3WRK_DIR}/build-4-7.log ${K3WRK_DIR}/build-i-4-7.log ${K3WRK_DIR}/buildimage-i-4-7.log ${K3WRK_DIR}/buildimage-4-7.log ${K3WRK_DIR}/buildimage-i-4-7.log


${K3WRK_DIR}/create-astra-mobile-rootfs -a arm64  2>&1 | tee build-4-7.log

#${K3WRK_DIR}/create-astra-mobile-rootfs -i  2>&1 | tee build-i-4-7.log

#${K3WRK_DIR}/astra-mobile-install -i 2>&1 | tee buildimage-i-4-7.log

#${K3WRK_DIR}/astra-mobile-install 2>&1 | tee buildimage-4-7.log
