#!/bin/bash

K3_FULLPATH=`realpath $0`
K3WRK_DIR=`dirname ${K3_FULLPATH}`

echo "Working directory = ${K3WRK_DIR}"
rm -rf /tmp/astra-mobile-tools
rm -f ${K3WRK_DIR}/astra-mobile-tools.tgz
mkdir -p /tmp/astra-mobile-tools
cp -f ${K3WRK_DIR}/astra-mobile-install /tmp/astra-mobile-tools/
cp -f ${K3WRK_DIR}/create-astra-mobile-rootfs /tmp/astra-mobile-tools/
cp -f ${K3WRK_DIR}/README-astra-mobile.txt /tmp/astra-mobile-tools/
cp -f ${K3WRK_DIR}/mobile_version /tmp/astra-mobile-tools/
cp -Rf ${K3WRK_DIR}/addon /tmp/astra-mobile-tools/
cp -Rf ${K3WRK_DIR}/hardware /tmp/astra-mobile-tools/
cp -f ${K3WRK_DIR}/tar-rootfs-amd64.sh /tmp/astra-mobile-tools/
cp -f ${K3WRK_DIR}/tar-rootfs-arm64.sh /tmp/astra-mobile-tools/
cp -f ${K3WRK_DIR}/x-build-all-amd64.sh /tmp/astra-mobile-tools/
#cp -f ${K3WRK_DIR}/build-all-arm64.sh /tmp/astra-mobile-tools/
pushd /tmp/
tar -zcvf ${K3WRK_DIR}/astra-mobile-tools.tgz ./astra-mobile-tools
popd
